Bug 500278 - (CVE-2009-1757) CVE-2009-1757: transmission needs to be updated to 1.61 or 1.53 to close a CSRF security hole
CVE-2009-1757: transmission needs to be updated to 1.61 or 1.53 to close a CS...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 21:42 EDT by Charles Kerr
Modified: 2009-05-22 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-22 12:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Kerr 2009-05-11 21:42:37 EDT
Fedora's version of Transmission should be updated to the new release, which closes a potential CSRF security hole for users who access Transmission via its Web Client.

1.61 is the latest release, and has the fix.

1.53 -- a new maintenance release of the 1.5x series -- also contains the fix.

Both versions were released on May 11 2009.
Comment 1 Tomas Hoger 2009-05-12 06:36:19 EDT
This is public already via announcement on the upstream page:
  http://www.transmissionbt.com/

Upstream changeset seem to be:
  http://trac.transmissionbt.com/changeset/8358
  http://trac.transmissionbt.com/changeset/8378/branches/1.5x

Removing bug visibility restriction.  No need to check 'Security Sensitive' for issues that are public already.
Comment 2 Tomas Hoger 2009-05-22 02:19:02 EDT
CVE-2009-1757:
Cross-site request forgery (CSRF) vulnerability in Transmission 1.5
before 1.53 and 1.6 before 1.61 allows remote attackers to hijack the
authentication of unspecified victims via unknown vectors.
Comment 3 Jan Lieskovsky 2009-05-22 07:11:00 EDT
Releases download page:
http://download.m0k.org/transmission/files/

Note You need to log in before you can comment on or make changes to this bug.